//                              -*- Mode: C++ -*- 
// 
// Pretty Printer, Copyright (C) Peter A. Buhr 2002
// 
// filter.h -- 
// 
// Author           : Peter A. Buhr
// Created On       : Tue Apr  9 22:31:18 2002
// Last Modified By : Peter A. Buhr
// Last Modified On : Tue Apr  9 22:35:55 2002
// Update Count     : 2
// 

#ifndef __FILTER_H__
#define __FILTER_H__

#include "parse.h"


extern void (*filter)( Token *tree );			// pointer to filter for parse tree
void freeTree( Token *tree );				// free storage for parse tree

void Identity( Token *tree );				// parse-tree filters
void Parse_Tree( Token *tree );
void Nocode( Token *tree );
void LaTeX( Token *tree );
void HTML( Token *tree );

#endif /* __FILTER_H__ */


// Local Variables: //
// compile-command: "gmake" //
// End: //
